Skip to main content
`Ctrl`+`K`

# scipy.special.itj0y0

scipy.special.itj0y0(x, out=None) = <ufunc 'itj0y0'>

  Integrals of Bessel functions of the first kind of order 0.

  Computes the integrals

  \[\begin{split}\int_0^x J_0(t) dt \\ \int_0^x Y_0(t) dt.\end{split}\]

  For more on \(J_0\) and \(Y_0\) see `j0` and `y0`.

  Parameters:
    x array_like

      Values at which to evaluate the integrals.

    out tuple of ndarrays, optional

      Optional output arrays for the function results.

  Returns:
    ij0 scalar or ndarray

      The integral of `j0`

    iy0 scalar or ndarray

      The integral of `y0`

  References

  [1]

  S. Zhang and J.M. Jin, “Computation of Special Functions”, Wiley 1996

  Examples

  Evaluate the functions at one point.

      >>> from scipy.special import itj0y0
      >>> int_j, int_y = itj0y0(1.)
      >>> int_j, int_y
      (0.9197304100897596, -0.637069376607422)

  Evaluate the functions at several points.

      >>> import numpy as np
      >>> points = np.array([0., 1.5, 3.])
      >>> int_j, int_y = itj0y0(points)
      >>> int_j, int_y
      (array([0.        , 1.24144951, 1.38756725]),
       array([ 0.        , -0.51175903,  0.19765826]))

  Plot the functions from 0 to 10.

      >>> import matplotlib.pyplot as plt
      >>> fig, ax = plt.subplots()
      >>> x = np.linspace(0., 10., 1000)
      >>> int_j, int_y = itj0y0(x)
      >>> ax.plot(x, int_j, label=r"$\int_0^x J_0(t)\,dt$")
      >>> ax.plot(x, int_y, label=r"$\int_0^x Y_0(t)\,dt$")
      >>> ax.legend()
      >>> plt.show()